// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class LargeStackOfLogsWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new LargeStackOfLogsWAddonDeed();
			}
		}

		[ Constructable ]
		public LargeStackOfLogsWAddon()
		{
			AddComponent( new AddonComponent( 7135 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7135 );
			AddComponent( ac, 0, 0, 0 );

		}

		public LargeStackOfLogsWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class LargeStackOfLogsWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new LargeStackOfLogsWAddon();
			}
		}

		[Constructable]
		public LargeStackOfLogsWAddonDeed()
		{
			Name = "LargeStackOfLogsW";
		}

		public LargeStackOfLogsWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}